

# ListGraphqlApis
<a name="API_ListGraphqlApis"></a>

Lists your GraphQL APIs.

## Request Syntax
<a name="API_ListGraphqlApis_RequestSyntax"></a>

```
GET /v1/apis?apiType=apiType&maxResults=maxResults&nextToken=nextToken&owner=owner HTTP/1.1
```

## URI Request Parameters
<a name="API_ListGraphqlApis_RequestParameters"></a>

The request uses the following URI parameters.

 ** [apiType](#API_ListGraphqlApis_RequestSyntax) **   <a name="appsync-ListGraphqlApis-request-uri-apiType"></a>
The value that indicates whether the GraphQL API is a standard API (`GRAPHQL`) or merged API (`MERGED`).  
Valid Values: `GRAPHQL | MERGED` 

 ** [maxResults](#API_ListGraphqlApis_RequestSyntax) **   <a name="appsync-ListGraphqlApis-request-uri-maxResults"></a>
The maximum number of results that you want the request to return.  
Valid Range: Minimum value of 0. Maximum value of 25.

 ** [nextToken](#API_ListGraphqlApis_RequestSyntax) **   <a name="appsync-ListGraphqlApis-request-uri-nextToken"></a>
An identifier that was returned from the previous call to this operation, which you can use to return the next set of items in the list.  
Length Constraints: Minimum length of 1. Maximum length of 65536.  
Pattern: `[\S]+` 

 ** [owner](#API_ListGraphqlApis_RequestSyntax) **   <a name="appsync-ListGraphqlApis-request-uri-owner"></a>
The account owner of the GraphQL API.  
Valid Values: `CURRENT_ACCOUNT | OTHER_ACCOUNTS` 

## Request Body
<a name="API_ListGraphqlApis_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListGraphqlApis_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "graphqlApis": [ 
      { 
         "additionalAuthenticationProviders": [ 
            { 
               "authenticationType": "string",
               "lambdaAuthorizerConfig": { 
                  "authorizerResultTtlInSeconds": number,
                  "authorizerUri": "string",
                  "identityValidationExpression": "string"
               },
               "openIDConnectConfig": { 
                  "authTTL": number,
                  "clientId": "string",
                  "iatTTL": number,
                  "issuer": "string"
               },
               "userPoolConfig": { 
                  "appIdClientRegex": "string",
                  "awsRegion": "string",
                  "userPoolId": "string"
               }
            }
         ],
         "apiId": "string",
         "apiType": "string",
         "arn": "string",
         "authenticationType": "string",
         "dns": { 
            "string" : "string" 
         },
         "enhancedMetricsConfig": { 
            "dataSourceLevelMetricsBehavior": "string",
            "operationLevelMetricsConfig": "string",
            "resolverLevelMetricsBehavior": "string"
         },
         "introspectionConfig": "string",
         "lambdaAuthorizerConfig": { 
            "authorizerResultTtlInSeconds": number,
            "authorizerUri": "string",
            "identityValidationExpression": "string"
         },
         "logConfig": { 
            "cloudWatchLogsRoleArn": "string",
            "excludeVerboseContent": boolean,
            "fieldLogLevel": "string"
         },
         "mergedApiExecutionRoleArn": "string",
         "name": "string",
         "openIDConnectConfig": { 
            "authTTL": number,
            "clientId": "string",
            "iatTTL": number,
            "issuer": "string"
         },
         "owner": "string",
         "ownerContact": "string",
         "queryDepthLimit": number,
         "resolverCountLimit": number,
         "tags": { 
            "string" : "string" 
         },
         "uris": { 
            "string" : "string" 
         },
         "userPoolConfig": { 
            "appIdClientRegex": "string",
            "awsRegion": "string",
            "defaultAction": "string",
            "userPoolId": "string"
         },
         "visibility": "string",
         "wafWebAclArn": "string",
         "xrayEnabled": boolean
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListGraphqlApis_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [graphqlApis](#API_ListGraphqlApis_ResponseSyntax) **   <a name="appsync-ListGraphqlApis-response-graphqlApis"></a>
The `GraphqlApi` objects.  
Type: Array of [GraphqlApi](API_GraphqlApi.md) objects

 ** [nextToken](#API_ListGraphqlApis_ResponseSyntax) **   <a name="appsync-ListGraphqlApis-response-nextToken"></a>
An identifier to pass in the next request to this operation to return the next set of items in the list.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 65536.  
Pattern: `[\S]+` 

## Errors
<a name="API_ListGraphqlApis_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The request is not well formed. For example, a value is invalid or a required field is missing. Check the field values, and then try again.    
 ** detail **   
Provides further details for the reason behind the bad request. For reason type `CODE_ERROR`, the detail will contain a list of code errors.  
 ** reason **   
Provides context for the cause of the bad request. The only supported value is `CODE_ERROR`.
HTTP Status Code: 400

 ** InternalFailureException **   
An internal AWS AppSync error occurred. Try your request again.  
HTTP Status Code: 500

 ** UnauthorizedException **   
You aren't authorized to perform this operation.  
HTTP Status Code: 401

## See Also
<a name="API_ListGraphqlApis_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appsync-2017-07-25/ListGraphqlApis) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appsync-2017-07-25/ListGraphqlApis) 